 /*
  * deviced
  *
  * Copyright (c) 2019 Samsung Electronics Co., Ltd. All rights reserved.
  *
  * Licensed under the Apache License, Version 2.0 (the "License");
  * you may not use this file except in compliance with the License.
  * You may obtain a copy of the License at
  *
  * http://www.apache.org/licenses/LICENSE-2.0
  *
  * Unless required by applicable law or agreed to in writing, software
  * distributed under the License is distributed on an "AS IS" BASIS,
  * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  * See the License for the specific language governing permissions and
  * limitations under the License.
  */

#ifndef __DISPLAY_DPMS_H__
#define __DISPLAY_DPMS_H__

bool check_wm_ready(void);
bool dpms_is_available(void);
bool connect_interface_with_dpms(void);
void disconnect_interface_with_dpms(void);
void dpms_set_state(int on);
int dpms_get_state(void);
#endif /* __DISPLAY_DPMS_H__ */
